Library Version 11.2.5.2

DbEnv::lock_id()
Prev | Chapter 7. The DbLock Handle | Next

## DbEnv::lock_id()

    #include <db_cxx.h>

    int
    DbEnv::lock_id(u_int32_t *idp);

The `DbEnv::lock_id()` method copies a locker ID, which is guaranteed to be unique in the environment's lock table, into the memory location to which idp refers.

The DbEnv::lock_id_free() method should be called to return the locker ID to the Berkeley DB library when it is no longer needed.

The `DbEnv::lock_id()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### idp

The idp parameter references memory into which the allocated locker ID is copied.

### Class

DbEnv, DbLock

### See Also

Locking Subsystem and Related Methods

Prev | Up | Next
DbEnv::lock_get() | Home | DbEnv::lock_id_free()